Axiomatic

Billing

Stripe-powered subscription billing with four tiers: Free, Starter, Pro, and Enterprise. Checkout sessions, subscription queries, and the customer portal are handled through these endpoints.

Create a Stripe Checkout session

POST
/api/billing/checkout
x-api-key<token>

API key for programmatic access

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://app.axiomatic.software/api/billing/checkout" \  -H "Content-Type: application/json" \  -d '{    "priceId": "string"  }'
{
  "url": "http://example.com"
}
{
  "error": "string"
}

Get current subscription details

GET
/api/billing/subscription
x-api-key<token>

API key for programmatic access

In: header

Response Body

application/json

application/json

curl -X GET "https://app.axiomatic.software/api/billing/subscription"
{}
{
  "error": "string"
}

Create a Stripe Customer Portal session

POST
/api/billing/portal
x-api-key<token>

API key for programmatic access

In: header

Response Body

application/json

application/json

curl -X POST "https://app.axiomatic.software/api/billing/portal"
{
  "url": "http://example.com"
}
{
  "error": "string"
}